#include<bits/stdc++.h>
using namespace std;
long long a[200005],st[200005];
vector<pair<long long,long long>> v;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    long long n;
    long long otg=0;
    cin>>n;
    for(long long i=0;i<n;i++){
        cin>>a[i];
        st[i]=i;
        v.push_back({a[i],i});
    }
    sort(v.begin(),v.end());
    reverse(v.begin(),v.end());
    long long s=0,poz=0;
    for(long long i=0;i<v.size();i++){
        s=v[i].first;
        poz=v[i].second;
        //cout<<s<<" "<<poz<<endl;
        otg+=st[poz];
        //cout<<"otg:"<<otg<<endl;
        for(long long i2=poz;i2<n;i2++){
            if(a[i2]!=s){
                st[i2]=min(st[i2],i2-poz+1);
            }
        }

    }
    cout<<otg-2<<endl;





    return 0;
}
